function sql([string]$txt)
{

    $conString="Driver={Pervasive ODBC Interface};ServerDSN=DEMODATA;"


    $con = New-Object System.Data.Odbc.OdbcConnection($conString)
    $con.Open()

    # ---------------------------------
    $cmd = New-Object System.Data.Odbc.OdbcCommand
    $cmd.Connection = $con


    # ---------------------------------
    $cmd.CommandText = $txt
    $rdr = $cmd.ExecuteReader()

    # ヘッダ表示
    $schemaTable  = $rdr.GetSchemaTable() 

    $header = ""
    foreach($col in $schemaTable.Rows){
        $header += '"'+ $col.columnname + '",'
    }
    echo $header.Remove($header.Length-1) #CSVの最後に「,」は不要なので除去
    echo "--------------------------------------------------------"

    # レコード表示
    $MAX=$rdr.FieldCount-1
    while($rdr.Read()){
        $record=""
        for($i=0; $i -le $MAX; $i++){
            $record += '"' + $rdr[$i] + '",'
        }
        echo $record.Remove($record.Length-1) #CSVの最後に「,」は不要なので除去
    }
    # ---------------------------------

    $con.Close()
}

sql("select top 10 * from room") #最初の 10レコードを表示
